<!-- 工作经历 -->
<template>
  <div>
    <div
      v-for="(item, index) in dataList" :key="'workExperience' + index"
      :class="[' mx-n2', {'mt-3': index }]"
    >
      <div class="educExpItem">
        <div class="level1 d-flex align-center justify-space-between mb-2">
          <div>
            <span>{{ item.enterpriseName }}</span>
            <span class="color6 font15 ml-5">
              <span>{{ timesTampChange(item.startTime, 'Y-M-D') }}</span>
              <span class="mx-1">至</span>
              <span>{{ timesTampChange(item.endTime, 'Y-M-D') }}</span>
            </span>
            <span class="color6 font15 ml-5">{{ item.positionName }}</span>
          </div>
        </div>
        <div class="level3">
          <span class="color6 font15">工作内容：{{ item.content }}</span>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>
defineOptions({name: 'enterprise-talentPool-details-workExperience'})
import { timesTampChange } from '@/utils/date'
import { ref } from 'vue'

const props = defineProps({
  data: Array
})

const dataList = ref([])
if (props.data?.length) dataList.value = props.data

</script>

<style lang="scss" scoped>
.font15 { font-size: 15px;; }
.color9 { color: var(--color-999); }
.color6 { color: var(--color-666); }
.color3 { color: var(--color-333); }
.educExpItem {
  border-radius: 6px;
  padding: 2px 10px 8px;
}
</style>
